# vim: set ts=4 sw=4 et:

Name:           python-pymad
Version:        0.6
Release:        1.9
Summary:        Python Module to use the MPEG Audio Decoder Library
Source:         http://spacepants.org/src/pymad/download/pymad-%{version}.tar.gz
Patch1:         pymad-use_python_sys_lib.patch
URL:            http://spacepants.org/src/pymad/
Group:          Development/Libraries/Python
License:        GNU Library General Public License version 2 (LGPL v2)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  python python-devel mad-devel
Provides:       python-mad = %{version}
Obsoletes:      python-mad < %{version}
%py_requires

%description
pymad is a Python module that allows Python programs to use the MPEG Audio
Decoder library. pymad provides a high-level API, similar to the pyogg module,
which makes reading PCM data from MPEG audio streams a piece of cake.

%prep
%setup -q -n "pymad-%{version}"
%patch1

%build
%__python ./config_unix.py --prefix "%{_prefix}"
%__python ./setup.py build

%install
%__python ./setup.py install --prefix="%{_prefix}" --root="%{buildroot}" --record-rpm=files.lst

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f files.lst
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS

%changelog
* Tue Jul  1 2008 guru@unixtech.be
- obsoletes and provides python-mad
* Fri Apr 25 2008 guru@unixtech.be
- refactored spec file using --record-rpm
* Fri Dec 28 2007 guru@unixtech.be
- new package
